<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerPulseCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_pulse_collection.html">TrackerPulseCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_pulse_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerPulseCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackerPulseCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_pulse_collection__inherit__graph.png" border="0" usemap="#eic_1_1_tracker_pulse_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_tracker_pulse_collection_inherit__map" id="eic_1_1_tracker_pulse_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackerPulseCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_pulse_collection__coll__graph.png" border="0" usemap="#eic_1_1_tracker_pulse_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_tracker_pulse_collection_coll__map" id="eic_1_1_tracker_pulse_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:aeb0d880e9c068f5cebe38eac24be24cc"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#aeb0d880e9c068f5cebe38eac24be24cc">const_iterator</a> = const <a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a></td></tr>
<tr class="separator:aeb0d880e9c068f5cebe38eac24be24cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a37bd40980a93c5443bd5e4b71585902a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a37bd40980a93c5443bd5e4b71585902a">TrackerPulseCollection</a> ()</td></tr>
<tr class="separator:a37bd40980a93c5443bd5e4b71585902a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22d6201713a9105c4fe1bfd8437d702d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a22d6201713a9105c4fe1bfd8437d702d">~TrackerPulseCollection</a> ()</td></tr>
<tr class="separator:a22d6201713a9105c4fe1bfd8437d702d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b4f38dd27ba8b7dad83c4d98ddf338d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a5b4f38dd27ba8b7dad83c4d98ddf338d">clear</a> () override final</td></tr>
<tr class="separator:a5b4f38dd27ba8b7dad83c4d98ddf338d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b6c107952d8226a0ab371fdf8412cb0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_pulse_collection.html">TrackerPulseCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a4b6c107952d8226a0ab371fdf8412cb0">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a4b6c107952d8226a0ab371fdf8412cb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a4b6c107952d8226a0ab371fdf8412cb0">More...</a><br /></td></tr>
<tr class="separator:a4b6c107952d8226a0ab371fdf8412cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60f3f907fde33908af8da79b591f2259"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a60f3f907fde33908af8da79b591f2259">create</a> ()</td></tr>
<tr class="memdesc:a60f3f907fde33908af8da79b591f2259"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a60f3f907fde33908af8da79b591f2259">More...</a><br /></td></tr>
<tr class="separator:a60f3f907fde33908af8da79b591f2259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d3eebf3bfe924aac615d39483272323"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a5d3eebf3bfe924aac615d39483272323"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a5d3eebf3bfe924aac615d39483272323">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a5d3eebf3bfe924aac615d39483272323"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bed539c0236439ccd84007b8c463483"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a3bed539c0236439ccd84007b8c463483">size</a> () const override final</td></tr>
<tr class="memdesc:a3bed539c0236439ccd84007b8c463483"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a3bed539c0236439ccd84007b8c463483">More...</a><br /></td></tr>
<tr class="separator:a3bed539c0236439ccd84007b8c463483"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac29133b859a23a0d1423b974c603b7"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a8ac29133b859a23a0d1423b974c603b7">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:a8ac29133b859a23a0d1423b974c603b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#a8ac29133b859a23a0d1423b974c603b7">More...</a><br /></td></tr>
<tr class="separator:a8ac29133b859a23a0d1423b974c603b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54f3f1a89e59aaf6c96619f639659525"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a54f3f1a89e59aaf6c96619f639659525">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a54f3f1a89e59aaf6c96619f639659525"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a54f3f1a89e59aaf6c96619f639659525">More...</a><br /></td></tr>
<tr class="separator:a54f3f1a89e59aaf6c96619f639659525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca0c1e560c07978fba7326eb5c244277"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#aca0c1e560c07978fba7326eb5c244277">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:aca0c1e560c07978fba7326eb5c244277"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#aca0c1e560c07978fba7326eb5c244277">More...</a><br /></td></tr>
<tr class="separator:aca0c1e560c07978fba7326eb5c244277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f7f784413f889b422ac2aae0f3315a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a86f7f784413f889b422ac2aae0f3315a">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a86f7f784413f889b422ac2aae0f3315a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a86f7f784413f889b422ac2aae0f3315a">More...</a><br /></td></tr>
<tr class="separator:a86f7f784413f889b422ac2aae0f3315a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9848322446d079b1282d5885f9728ea3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a9848322446d079b1282d5885f9728ea3">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a9848322446d079b1282d5885f9728ea3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a9848322446d079b1282d5885f9728ea3">More...</a><br /></td></tr>
<tr class="separator:a9848322446d079b1282d5885f9728ea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bac0f577baf772cb62e1daa4826e9f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a8bac0f577baf772cb62e1daa4826e9f9">push_back</a> (<a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a> object)</td></tr>
<tr class="memdesc:a8bac0f577baf772cb62e1daa4826e9f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a8bac0f577baf772cb62e1daa4826e9f9">More...</a><br /></td></tr>
<tr class="separator:a8bac0f577baf772cb62e1daa4826e9f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8894b850ba499f145cd89aa97249dce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#af8894b850ba499f145cd89aa97249dce">prepareForWrite</a> () override final</td></tr>
<tr class="separator:af8894b850ba499f145cd89aa97249dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea6158a0ece71c0c0f44dff72eb5194b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#aea6158a0ece71c0c0f44dff72eb5194b">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:aea6158a0ece71c0c0f44dff72eb5194b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae470af9a64817ae4e3570ca93b7bfa1a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#ae470af9a64817ae4e3570ca93b7bfa1a">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:ae470af9a64817ae4e3570ca93b7bfa1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcf2bc499a277cca3ed1294b385cea6e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#abcf2bc499a277cca3ed1294b385cea6e">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:abcf2bc499a277cca3ed1294b385cea6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7354eb39eeb8fe8483f44985653a0c6d"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a7354eb39eeb8fe8483f44985653a0c6d">referenceCollections</a> () override final</td></tr>
<tr class="separator:a7354eb39eeb8fe8483f44985653a0c6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad099db9dcec3db5730446441bb84d057"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#ad099db9dcec3db5730446441bb84d057">vectorMembers</a> () override</td></tr>
<tr class="separator:ad099db9dcec3db5730446441bb84d057"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac247d3934aa288d984627220d5566288"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#ac247d3934aa288d984627220d5566288">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:ac247d3934aa288d984627220d5566288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5e5450e78c05eeb3e700afd1d7fe7c6"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#ab5e5450e78c05eeb3e700afd1d7fe7c6">getID</a> () const override final</td></tr>
<tr class="separator:ab5e5450e78c05eeb3e700afd1d7fe7c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03c90075b1af2814f5d9c746b35c654e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a03c90075b1af2814f5d9c746b35c654e">isValid</a> () const override final</td></tr>
<tr class="separator:a03c90075b1af2814f5d9c746b35c654e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a831189b427b2927baa7c697a2c69871f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse_collection.html#aeb0d880e9c068f5cebe38eac24be24cc">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a831189b427b2927baa7c697a2c69871f">begin</a> () const</td></tr>
<tr class="separator:a831189b427b2927baa7c697a2c69871f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a219fb733a0edacc0d42087a19646eb"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse_collection.html#aeb0d880e9c068f5cebe38eac24be24cc">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a5a219fb733a0edacc0d42087a19646eb">end</a> () const</td></tr>
<tr class="separator:a5a219fb733a0edacc0d42087a19646eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0527e8eef558df29dac3d03c6d3d3e2f"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a0527e8eef558df29dac3d03c6d3d3e2f">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:a0527e8eef558df29dac3d03c6d3d3e2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#a0527e8eef558df29dac3d03c6d3d3e2f">More...</a><br /></td></tr>
<tr class="separator:a0527e8eef558df29dac3d03c6d3d3e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b7955f84dd36544d3c00915dec96107"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a1b7955f84dd36544d3c00915dec96107">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a1b7955f84dd36544d3c00915dec96107"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#a1b7955f84dd36544d3c00915dec96107">More...</a><br /></td></tr>
<tr class="separator:a1b7955f84dd36544d3c00915dec96107"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ee91be87ba8ccea14e50c5d5772d4c"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a98ee91be87ba8ccea14e50c5d5772d4c"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a98ee91be87ba8ccea14e50c5d5772d4c">cellID0</a> () const</td></tr>
<tr class="separator:a98ee91be87ba8ccea14e50c5d5772d4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06a5299f4fe2fd6ed966f62a577f7b21"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a06a5299f4fe2fd6ed966f62a577f7b21"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a06a5299f4fe2fd6ed966f62a577f7b21">cellID1</a> () const</td></tr>
<tr class="separator:a06a5299f4fe2fd6ed966f62a577f7b21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05475cbc98a41ae1402b9aba61d53215"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a05475cbc98a41ae1402b9aba61d53215"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a05475cbc98a41ae1402b9aba61d53215">quality</a> () const</td></tr>
<tr class="separator:a05475cbc98a41ae1402b9aba61d53215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e36ed3629f3296bddc03923ba434b19"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a4e36ed3629f3296bddc03923ba434b19"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#a4e36ed3629f3296bddc03923ba434b19">time</a> () const</td></tr>
<tr class="separator:a4e36ed3629f3296bddc03923ba434b19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc7257eb05c20791b80cef90a30a5e6"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:acdc7257eb05c20791b80cef90a30a5e6"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection.html#acdc7257eb05c20791b80cef90a30a5e6">charge</a> () const</td></tr>
<tr class="separator:acdc7257eb05c20791b80cef90a30a5e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="aeb0d880e9c068f5cebe38eac24be24cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb0d880e9c068f5cebe38eac24be24cc">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_tracker_pulse_collection.html#aeb0d880e9c068f5cebe38eac24be24cc">eic::TrackerPulseCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a37bd40980a93c5443bd5e4b71585902a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37bd40980a93c5443bd5e4b71585902a">&#9670;&nbsp;</a></span>TrackerPulseCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseCollection::TrackerPulseCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00014">14</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="a22d6201713a9105c4fe1bfd8437d702d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d6201713a9105c4fe1bfd8437d702d">&#9670;&nbsp;</a></span>~TrackerPulseCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseCollection::~TrackerPulseCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00021">21</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00055">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1b7955f84dd36544d3c00915dec96107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b7955f84dd36544d3c00915dec96107">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a>&gt;* eic::TrackerPulseCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a86f7f784413f889b422ac2aae0f3315a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86f7f784413f889b422ac2aae0f3315a">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00032">32</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="a9848322446d079b1282d5885f9728ea3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9848322446d079b1282d5885f9728ea3">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00040">40</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="a831189b427b2927baa7c697a2c69871f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a831189b427b2927baa7c697a2c69871f">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse_collection.html#aeb0d880e9c068f5cebe38eac24be24cc">const_iterator</a> eic::TrackerPulseCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a98ee91be87ba8ccea14e50c5d5772d4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ee91be87ba8ccea14e50c5d5772d4c">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerPulseCollection::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00167">167</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a06a5299f4fe2fd6ed966f62a577f7b21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06a5299f4fe2fd6ed966f62a577f7b21">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerPulseCollection::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00177">177</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="acdc7257eb05c20791b80cef90a30a5e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdc7257eb05c20791b80cef90a30a5e6">&#9670;&nbsp;</a></span>charge()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackerPulseCollection::charge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00207">207</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a5b4f38dd27ba8b7dad83c4d98ddf338d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b4f38dd27ba8b7dad83c4d98ddf338d">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerPulseCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00055">55</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00021">~TrackerPulseCollection()</a>.</p>

</div>
</div>
<a id="a60f3f907fde33908af8da79b591f2259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60f3f907fde33908af8da79b591f2259">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00048">48</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="a5d3eebf3bfe924aac615d39483272323"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d3eebf3bfe924aac615d39483272323">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00159">159</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a5a219fb733a0edacc0d42087a19646eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a219fb733a0edacc0d42087a19646eb">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse_collection.html#aeb0d880e9c068f5cebe38eac24be24cc">const_iterator</a> eic::TrackerPulseCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a0527e8eef558df29dac3d03c6d3d3e2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0527e8eef558df29dac3d03c6d3d3e2f">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::TrackerPulseCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="ab5e5450e78c05eeb3e700afd1d7fe7c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5e5450e78c05eeb3e700afd1d7fe7c6">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::TrackerPulseCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a8ac29133b859a23a0d1423b974c603b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ac29133b859a23a0d1423b974c603b7">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::TrackerPulseCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a03c90075b1af2814f5d9c746b35c654e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03c90075b1af2814f5d9c746b35c654e">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerPulseCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a4b6c107952d8226a0ab371fdf8412cb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b6c107952d8226a0ab371fdf8412cb0">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_pulse_collection.html">TrackerPulseCollection</a>* eic::TrackerPulseCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="a54f3f1a89e59aaf6c96619f639659525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54f3f1a89e59aaf6c96619f639659525">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00028">28</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="aca0c1e560c07978fba7326eb5c244277"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca0c1e560c07978fba7326eb5c244277">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00036">36</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="aea6158a0ece71c0c0f44dff72eb5194b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea6158a0ece71c0c0f44dff72eb5194b">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerPulseCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00082">82</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="af8894b850ba499f145cd89aa97249dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8894b850ba499f145cd89aa97249dce">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerPulseCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00065">65</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00044">size()</a>.</p>

</div>
</div>
<a id="a8bac0f577baf772cb62e1daa4826e9f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bac0f577baf772cb62e1daa4826e9f9">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerPulseCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_tracker_pulse.html">ConstTrackerPulse</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00110">110</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00044">size()</a>.</p>

</div>
</div>
<a id="a05475cbc98a41ae1402b9aba61d53215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05475cbc98a41ae1402b9aba61d53215">&#9670;&nbsp;</a></span>quality()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::TrackerPulseCollection::quality </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00187">187</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a7354eb39eeb8fe8483f44985653a0c6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7354eb39eeb8fe8483f44985653a0c6d">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::TrackerPulseCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="ae470af9a64817ae4e3570ca93b7bfa1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae470af9a64817ae4e3570ca93b7bfa1a">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerPulseCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00122">122</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

</div>
</div>
<a id="ac247d3934aa288d984627220d5566288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac247d3934aa288d984627220d5566288">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerPulseCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<a id="abcf2bc499a277cca3ed1294b385cea6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcf2bc499a277cca3ed1294b385cea6e">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerPulseCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00093">93</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00044">size()</a>.</p>

</div>
</div>
<a id="a3bed539c0236439ccd84007b8c463483"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bed539c0236439ccd84007b8c463483">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::TrackerPulseCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00044">44</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>, <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00065">prepareForWrite()</a>, <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00110">push_back()</a>, and <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00093">setReferences()</a>.</p>

</div>
</div>
<a id="a4e36ed3629f3296bddc03923ba434b19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e36ed3629f3296bddc03923ba434b19">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackerPulseCollection::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00197">197</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00142">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad099db9dcec3db5730446441bb84d057"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad099db9dcec3db5730446441bb84d057">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::TrackerPulseCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a></li>
<li>src/<a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
